<?php
/**
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
$sql = [];

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'afex_shipping` (
    `id_afex_shipping` int(11) NOT NULL AUTO_INCREMENT,
    `id_order` int(11) NOT NULL,
    `carrier_awb` int(11) NOT NULL,
    `status` varchar(250) NOT NULL default "pick-up",
    `last_update` DATETIME NOT NULL,
    PRIMARY KEY  (`id_afex_shipping`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ps_afex_shipping_files` (
    `id_afex_shipping_file` INT(11) NOT NULL AUTO_INCREMENT,
    `file_name` VARCHAR(255) NOT NULL,
    `type` VARCHAR(255) NOT NULL,
    `results` JSON NULL,
    PRIMARY KEY (`id_afex_shipping_file`)
) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ps_afex_shipping_data_reconciliation` (
    `id_afex_data_reconciliation` INT(11) NOT NULL AUTO_INCREMENT,
    `id_afex_shipping_file` int(11) NOT NULL,
    `order_id` int(11) NOT NULL,
    `order_reference` VARCHAR(255) NOT NULL,
    `carrier_awb` int(11) NOT NULL,
    `initial_status` VARCHAR(255) NOT NULL,
    `post_process_status` VARCHAR(255) NOT NULL,
    `status` VARCHAR(255) NOT NULL,
    `note` VARCHAR(255) NULL,
    `ps_vat_included_price` VARCHAR(255) NULL,
    `ps_shipping_fees` VARCHAR(255) NULL,
    `afex_total_paid` VARCHAR(255) NULL,
    `date_time` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY (`id_afex_data_reconciliation`)
) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;
';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
