/**
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* Don't forget to prefix your containers with your own identifier
* to avoid any conflicts with others containers.
*/
$(document).ready(function () {
    // define an object containing the states and their corresponding cities
    var citiesByState = {
        'Ariana': [ 'Ettadhamen', 'Mnihla', 'Kalaat Landlous', 'Sidi Thabet', 'Ennasr', 'Raoued', 'Ariana Ville', 'La Soukra' ], 
        'Beja': [ 'Nefza', 'Teboursouk', 'Mejez El Bab', 'Testour', 'Thibar', 'Goubellat', 'Beja Sud', 'Beja Nord', 'Amdoun' ], 
        'Ben Arous': [ 'Fouchana', 'Mohamadia', 'El Mourouj', 'Rades', 'Megrine', 'Nouvelle Medina', 'Ben Arous', 'Bou Mhel El Bassatine', 'Ezzahra', 'Hammam Lif', 'Hammam Chatt', 'Mornag' ], 
        'Bizerte': [ 'Bizerte Sud', 'Bizerte Nord', 'Ras Jebel', 'Utique', 'Ghar El Melh', 'El Alia', 'Jarzouna', 'Menzel Jemil', 'Mateur', 'Joumine', 'Menzel Bourguiba', 'Ghezala', 'Sejnane', 'Tinja' ], 
        'Gabes': [ 'Gabes Medina', 'Gabes Ouest', 'Ghannouche', 'Gabes Sud', 'Mareth​', 'El Hamma', 'El Metouia', 'Menzel Habib', 'Matmata', 'Nouvelle Matmat' ], 
        'Gafsa': [ 'Sned', 'El Mdhilla', 'Gafsa Nord', 'El Ksar', 'Gafsa Sud', 'Belkhir', 'El Guettar', 'Sidi Aich', 'Redeyef', 'Metlaoui', 'Moulares' ], 
        'Jendouba': [ 'Jendouba Nord', 'Jendouba', 'Fernana', 'Ain Draham', 'Tabarka', 'Ghardimaou', 'Oued Mliz', 'Bou Salem', 'Balta Bou Aouene' ], 
        'Kairouan': [ 'Cherarda', 'Kairouan Nord', 'Kairouan Sud', 'Nasrallah', 'Bou Hajla', 'El Ala', 'Hajeb El Ayoun', 'Haffouz', 'Sbikha', 'Chebika', 'Oueslatia' ], 
        'Kasserine': [ 'Sbiba', 'Sbeitla', 'Jediliane', 'Thala', 'Haidra', 'Foussana', 'El Ayoun', 'Mejel Bel Abbes', 'Feriana', 'Hassi El Frid', 'Kasserine Nord', 'Kasserine Sud' ],
        'Kebili': [ 'Kebili Sud', 'Kebili Nord', 'Souk El Ahad', 'Douz', 'El Faouar' ], 
        'Kef': [ 'Jerissa', 'El Ksour', 'Tajerouine', 'Dahmani', 'Kalaa El Khasba', 'Kalaat Sinane', 'Le Sers', 'Sakiet Sidi Youssef', 'Le Kef Est', 'Le Kef Ouest', 'Touiref', 'Nebeur' ], 
        'Mahdia': [ 'Mahdia', 'Melloulech', 'Ksour Essaf', 'La Chebba', 'Ouled Chamakh', 'Hbira', 'Chorbane', 'Bou Merdes', 'Souassi', 'El Jem', 'Sidi Alouene' ], 
        'Mannouba': [ 'Borj El Amri', 'Jedaida', 'Tebourba', 'Mornaguia', 'El Battan', 'Oued Ellil', 'Douar Hicher', 'Mannouba' ], 
        'Medenine': [ 'Ben Guerdane', 'Zarzis', 'Sidi Makhlouf', 'Beni Khedache', 'Medenine Nord', 'Medenine Sud', 'Ajim', 'Midoun', 'Houmet Essouk' ], 
        'Monastir': [ 'Beni Hassen', 'Zeramdine', 'Bekalta', 'Ksar Helal', 'Moknine', 'Teboulba', 'Jemmal', 'Sahline', 'Ouerdanine', 'Ksibet El Medioun', 'Monastir', 'Bembla', 'Sayada Lamta Bou Hjar' ], 
        'Nabeul': [ 'Korba', 'Grombalia', 'Beni Khalled', 'Kelibia', 'Hammam El Ghez', 'El Haouaria', 'Menzel Temime', 'El Mida', 'Takelsa', 'Menzel Bouzelfa', 'Soliman', 'Bou Argoub', 'Hammamet', 'Beni Khiar', 'Nabeul', 'Dar Chaabane Elfe' ], 
        'Sfax': [ 'Sfax Ville', 'Sfax Est', 'Sfax Sud', 'Sakiet Eddaier', 'Sakiet Ezzit', 'Menzel Chaker', 'Agareb', 'Bir Ali Ben Khelifa', 'Ghraiba', 'Mahras', 'Esskhira', 'Kerkenah', 'El Hencha', 'El Amra', 'Jebeniana' ],
        'Sidi Bouzid': [ 'Maknassy', 'Ouled Haffouz', 'Menzel Bouzaiene', 'Regueb', 'Mezzouna', 'Cebbala', 'Jilma', 'Sidi Bouzid Est', 'Souk Jedid', 'Sidi Bouzid Ouest', 'Ben Oun', 'Bir El Haffey' ], 
        'Siliana': [ 'Siliana Sud', 'Siliana Nord', 'Sidi Bou Rouis', 'Bou Arada', 'Bargou', 'El Aroussa', 'Le Krib', 'Gaafour', 'Rohia', 'Makthar', 'Kesra' ], 
        'Sousse': [ 'Kalaa Essghira', 'Sousse Jaouhara', 'Sousse Ville', 'Sousse Riadh', 'Msaken', 'Sidi Bou Ali', 'Enfidha', 'Hammam Sousse', 'Hergla', 'Akouda', 'Kalaa El Kebira', 'Sidi El Heni', 'Kondar', 'Bou Ficha' ], 
        'Tataouine': [ 'Dhehiba', 'Tataouine Sud', 'Tataouine Nord', 'Bir Lahmar', 'Remada', 'Smar', 'Ghomrassen' ], 
        'Tozeur': [ 'Degueche', 'Tameghza', 'Hezoua', 'Tozeur', 'Nefta' ], 
        'Tunis': [ 'Ezzouhour', 'Essijoumi', 'Sidi Hassine', 'El Hrairia', 'Carthage', 'La Goulette', 'El Kram', 'El Kabbaria', 'Jebel Jelloud', 'El Ouerdia', 'Ettahrir', 'El Omrane Superi', 'Le Bardo', 'El Omrane', 'Tunis centre', 'El Menzah', 'Cite El Khadra', 'La Marsa', 'Lac', 'Aouina', 'Bab Souika', 'Sidi El Bechir', 'Bab Bhar', 'La Medina' ], 
        'Zaghouan': [ 'El Fahs', 'Hammam Zriba', 'Ennadhour', 'Saouef', 'Zaghouan', 'Bir Mcherga' ]
      // add more states and cities as needed
    };
  
    // function to update the cities select input based on the selected state
    function updateCitiesSelect() {
      var countrySelect = $('#field-id_country option:selected');
      var stateSelect = $('#field-id_state option:selected');
      var selectedCountry = countrySelect.text();
      var selectedState = stateSelect.text();
      var cities = citiesByState[selectedState];
      var citySelect = $('#field-city_select');
    
      // create the cities select input if it doesn't exist
      if (citySelect.length === 0) {
        citySelect = $('<select>', { id: 'field-city_select', name: 'city_select', class: 'form-control form-control-select' });
        $('#field-city').after(citySelect);
        $('#field-city_select').change(function () {
            console.log($('#field-city_select').val());
            $('#field-city').attr('value', $('#field-city_select').val());
        });
        $('#field-city_select').val($('#field-city').val());
      }
  
      // clear and disable the cities select input if the selected country is not Tunisia or no cities are available for the selected state
      if (selectedCountry !== 'Tunisie' && selectedCountry !== 'Tunisia' || !cities || cities.length === 0) {
        citySelect.empty().prop('disabled', true);
        citySelect.hide();
        $('#field-city').show();
        return;
      }
  
      // update the options of the cities select input
      citySelect.empty().prop('disabled', false).show();
      $('#field-city').hide();
      $.each(cities, function (index, city) {
        var option = $('<option>').val(city).text(city);
        citySelect.append(option);
      });
    }

    // call the updateCitiesSelect function when the state or country select input changes
    $('#field-id_state').change(function () {
      updateCitiesSelect();
    });
    $('#field-id_country').change(function () {
      updateCitiesSelect();
    });
  
    // initialize the cities select input based on the initial state value
    updateCitiesSelect();
    $('#field-city_select').val($('#field-city').val());
  });  
  
  