{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="panel">
	<h3>{$module_name}</h3>
	{if isset($errors) && $errors}
		<div class="alert alert-danger">
			{foreach from=$errors item=error}
				<p>{$error}</p>
			{/foreach}
		</div>
	{/if}
	{if isset($confirmations) && $confirmations}
		<div class="alert alert-success">
			{foreach from=$confirmations item=confirmation}
				<p>{$confirmation}</p>
			{/foreach}
		</div>
	{/if}
	<form action="{$upload_url}" method="post" enctype="multipart/form-data">
		<div class="form-group">
			<label>{$module->l('Upload File')}</label>
			<input type="file" name="upload_file" class="form-control">
			<p class="help-block">{$module->l('Upload an Excel or CSV file for processing')}</p>
		</div>
		<div class="form-group">
			<label>{$module->l('File Type')}</label>
			<select name="file_type" class="form-control">
				<option value="rapprochement" selected>Rapprochement</option>
				<option value="facturation">Facturation</option>
			</select>
		</div>
		<button type="submit" name="submitUpload" class="btn btn-default pull-right">{$module->l('Upload')}</button>
	</form>
</div>


