{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file='@PrestaShop/Admin/Sell/Order/OrderPageLayout.tpl'}

{block name='content'}
  <div class="card">
    <div class="card-header">
      {l s='Shipping information' d='Admin.Orderscustomers.Feature'}
    </div>
    <div class="card-body">
      {if $order->hasShipping() && $carrier && $tracking_number}
        <p>
          {l s='Carrier:' d='Admin.Orderscustomers.Feature'} {$carrier->name}<br>
          {l s='Tracking number:' d='Admin.Orderscustomers.Feature'} {$tracking_number}
        </p>
      {else}
        <p>{l s='No shipping information available' d='Admin.Orderscustomers.Feature'}</p>
      {/if}
    </div>
  </div>
  
  {$smarty.block.parent}
{/block}
